> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wejam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Export paginated track assignments data



## OpenAPI

````yaml https://api.wejam.ai/docs-json get /api/v1/data-exports/track-assignments
openapi: 3.0.0
info:
  contact: {}
  description: API description
  title: JAM
  version: 0.0.1
servers:
  - url: https://api.wejam.ai
security:
  - X-API-KEY: []
  - bearer: []
tags: []
paths:
  /api/v1/data-exports/track-assignments:
    get:
      tags:
        - data-export
      summary: Export paginated track assignments data
      operationId: DataExportController_findTrackAssignments_v1
      parameters:
        - description: Page number starting from 1
          in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            type: number
        - description: Limit for the number of results per page. Maximum is 100
          in: query
          name: limit
          required: false
          schema:
            default: 10
            maximum: 100
            minimum: 1
            type: number
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataExportFindTrackAssignmentsResponseDTO'
          description: ''
components:
  schemas:
    DataExportFindTrackAssignmentsResponseDTO:
      properties:
        data:
          items:
            properties:
              assignedByUserId:
                description: >-
                  The unique identifier for the user who assigned the track, if
                  applicable
                format: uuid
                nullable: true
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                type: string
              completedAt:
                description: >-
                  The date and time when the track assignment was completed, if
                  applicable
                format: date-time
                nullable: true
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                type: string
              completedMissionIds:
                description: The list of completed mission IDs for the track assignment
                items:
                  pattern: ^[0-9a-f]{24}$
                  type: string
                type: array
              createdAt:
                description: The date and time when the track assignment was created
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                type: string
              dueDate:
                description: The due date of the track assignment, if applicable
                format: date-time
                nullable: true
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                type: string
              id:
                description: The unique identifier for the track assignment
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                type: string
              lastUpdatedAt:
                description: The date and time when the track assignment was last updated
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                type: string
              learnerUserId:
                description: The unique identifier for the learner user
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                type: string
              sprintId:
                description: The unique identifier for the sprint, if applicable
                format: uuid
                nullable: true
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                type: string
              startDate:
                description: The start date of the track assignment
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                type: string
              status:
                description: The status of the track assignment
                enum:
                  - completed
                  - open
                type: string
              trackId:
                description: The unique identifier for the track
                pattern: ^[0-9a-f]{24}$
                type: string
            required:
              - id
              - createdAt
              - lastUpdatedAt
              - learnerUserId
              - trackId
              - startDate
              - dueDate
              - status
              - completedAt
              - completedMissionIds
              - assignedByUserId
              - sprintId
            type: object
          type: array
        meta:
          properties:
            hasNext:
              type: boolean
            limit:
              type: number
            page:
              type: number
            total:
              type: number
          required:
            - total
            - page
            - limit
            - hasNext
          type: object
      required:
        - data
        - meta
      type: object
  securitySchemes:
    X-API-KEY:
      in: header
      name: X-API-KEY
      type: apiKey
    bearer:
      bearerFormat: JWT
      description: Enter your Bearer token
      scheme: bearer
      type: http

````